Bug 1290846 - [abrt] kde-cli-tools: QArrayData::allocate(): kcmshell5 killed by SIGSEGV
[abrt] kde-cli-tools: QArrayData::allocate(): kcmshell5 killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kcm-fcitx (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Liang Suilong
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:8eb6bb100b9b456e451bafd7a3f...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-11 11:18 EST by Han Han
Modified: 2016-12-20 11:55 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:55:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.70 MB, text/plain)
2015-12-11 11:18 EST, Han Han
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-11 11:18 EST, Han Han
no flags Details
File: core_backtrace (87.73 KB, text/plain)
2015-12-11 11:18 EST, Han Han
no flags Details
File: dso_list (17.50 KB, text/plain)
2015-12-11 11:18 EST, Han Han
no flags Details
File: environ (1.95 KB, text/plain)
2015-12-11 11:18 EST, Han Han
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-11 11:18 EST, Han Han
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-11 11:18 EST, Han Han
no flags Details
File: maps (80.01 KB, text/plain)
2015-12-11 11:18 EST, Han Han
no flags Details
File: mountinfo (3.51 KB, text/plain)
2015-12-11 11:18 EST, Han Han
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-11 11:18 EST, Han Han
no flags Details
File: open_fds (3.18 KB, text/plain)
2015-12-11 11:18 EST, Han Han
no flags Details
File: proc_pid_status (1004 bytes, text/plain)
2015-12-11 11:18 EST, Han Han
no flags Details
File: var_log_messages (309 bytes, text/plain)
2015-12-11 11:18 EST, Han Han
no flags Details

  None (edit)
Description Han Han 2015-12-11 11:18:03 EST
Description of problem:
When I select input methods in fctix input methods configuration, it crashed.

Version-Release number of selected component:
kde-cli-tools-5.4.3-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        kcmshell5 kcm_fcitx
crash_function: QArrayData::allocate
executable:     /usr/bin/kcmshell5
global_pid:     1231
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #1 QArrayData::allocate at tools/qarraydata.cpp:101
 #2 QTypedArrayData<unsigned short>::allocate at ../../src/corelib/tools/qarraydata.h:216
 #3 QString::QString at tools/qstring.cpp:1497
 #4 parse_locale_tag at tools/qlocale.cpp:376
 #5 qt_splitLocaleName at tools/qlocale.cpp:405
 #6 QLocalePrivate::getLangAndCountry at tools/qlocale.cpp:459
 #7 findLocaleData at tools/qlocale.cpp:474
 #8 localePrivateByName at tools/qlocale.cpp:700
 #9 QLocale::QLocale at tools/qlocale.cpp:760
 #10 Fcitx::IMPage::Private::IMModel::data at ../../src/impage.cpp:116
Comment 1 Han Han 2015-12-11 11:18:20 EST
Created attachment 1104735 [details]
File: backtrace
Comment 2 Han Han 2015-12-11 11:18:22 EST
Created attachment 1104736 [details]
File: cgroup
Comment 3 Han Han 2015-12-11 11:18:25 EST
Created attachment 1104737 [details]
File: core_backtrace
Comment 4 Han Han 2015-12-11 11:18:27 EST
Created attachment 1104738 [details]
File: dso_list
Comment 5 Han Han 2015-12-11 11:18:29 EST
Created attachment 1104739 [details]
File: environ
Comment 6 Han Han 2015-12-11 11:18:31 EST
Created attachment 1104740 [details]
File: exploitable
Comment 7 Han Han 2015-12-11 11:18:33 EST
Created attachment 1104741 [details]
File: limits
Comment 8 Han Han 2015-12-11 11:18:36 EST
Created attachment 1104742 [details]
File: maps
Comment 9 Han Han 2015-12-11 11:18:41 EST
Created attachment 1104743 [details]
File: mountinfo
Comment 10 Han Han 2015-12-11 11:18:43 EST
Created attachment 1104744 [details]
File: namespaces
Comment 11 Han Han 2015-12-11 11:18:45 EST
Created attachment 1104745 [details]
File: open_fds
Comment 12 Han Han 2015-12-11 11:18:47 EST
Created attachment 1104746 [details]
File: proc_pid_status
Comment 13 Han Han 2015-12-11 11:18:49 EST
Created attachment 1104747 [details]
File: var_log_messages
Comment 14 Rex Dieter 2015-12-11 11:28:21 EST
triaging to kcm-fcitx
Comment 15 Robin Lee 2016-01-25 08:42:02 EST
https://github.com/fcitx/kcm-fcitx/issues/11
Comment 16 Fedora End Of Life 2016-11-24 09:10:14 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2016-12-20 11:55:49 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.